Skip to main content
The ProSights API is hosted on https://prism-api.prosights.co If you are on an enterprise distribution it will be https://firmname.prosights.co

Usage

Screenshot2025 10 23at5 43 35PM Pn The Recreate Platform works with a few key concepts. Generally, the flow is:
  1. Create a Recreate Request POST enterprise-api/recreate/
  2. Poll status until completion GET enterprise-api/recreate/status?recreate_id={recreate_id}
  3. [optional] Resolve data as JSON GET /enterprise-api/recreate/{recreate_id}/to_json

Outputs

Recreation outputs come as authenticated download links through the status API. These download links are authenticated for a short period of time.
You can also resolve these outputs as JSON through theto_jsonAPI. When using the Python SDK you can resolve the JSON into Pandas dataframes.